package com.xinelu.manage.mapper.screeningproject;

import com.xinelu.manage.domain.screeningproject.ScreeningProject;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
* @author haown
* @description 针对表【sd_project(项目表)】的数据库操作Mapper
* @createDate 2023-01-16 15:06:38
* @Entity com.disease.business.domain.entity.Project
*/
public interface ScreeningProjectMapper {

	List<ScreeningProject> findList(ScreeningProject project);

    int deleteByPrimaryKey(String projectId);

    int insert(ScreeningProject record);

    int insertSelective(ScreeningProject record);

	ScreeningProject selectByPrimaryKey(String projectId);

    int updateByPrimaryKeySelective(ScreeningProject record);

    int updateByPrimaryKey(ScreeningProject record);

	Integer checkSameName(@Param("projectName") String projectName, @Param("hospitalId") Long hospitalId, @Param("projectId") String projectId);

}
